logo
Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

VFP9R.DLL file is invalid or damaged
K6FW
#1 Posted : Sunday, October 22, 2023 10:50:15 PM(UTC)
Rank: Member

Groups: Registered
Posts: 18
Location: Chino California

Thanks: 1 times
Was thanked: 1 time(s) in 1 post(s)
I recently upgraded my computer. I was running a 2020 Apple IMAC Intel computer using Parallels 17 and Windows 10. Logic 9 was installed and running fine.

I am now running 2021 Apple Studio M1 Apple Silicon based computer. I did a fresh install of Parallels 19 which is the current version, and fresh install of Windows 11. When I try to install Logic 9 using the exe file I have from my last purchase I get an error message and the install closes. The error message is from Microsoft Visual FoxPro. The error message is VFP9R.DLL file is invalid or damaged. I have checked the folder and the dll is there. I downloaded a new VFP9R.DLL and replaced the original one, but the result is the same error message.

So what would be the next step? Can Logic run on Apple Silicon using Parallels and Windows 11?

Thanks for guidance.

Frank
K6FW

Sponsor
Note: We receive a commission from Amazon when you purchase via this link. It does not affect your cost. Thank you!
WN4AZY
#2 Posted : Monday, October 23, 2023 8:16:32 PM(UTC)
admin

Rank: Administration

Groups: Administrators, Beta Testers
Posts: 3,080
Man
Location: Auburn, GA

Thanks: 988 times
Was thanked: 492 time(s) in 407 post(s)
Hi Frank:

As far as I know, it runs fine on Parallels.

What version of LOGic do you have? LOGic 10 uses VFP9AR.DLL

Where did you get VFP9R.DLL? There are several versions of this.

You "updated your computer." What did you update, exactly?

Let me know.

Tnx & 73,

Dennis WN4AZY
K6FW
#3 Posted : Monday, October 23, 2023 11:06:10 PM(UTC)
Rank: Member

Groups: Registered
Posts: 18
Location: Chino California

Thanks: 1 times
Was thanked: 1 time(s) in 1 post(s)
Hi Dennis,

My old computer is running Logic Version 9.1.40. License issued April 17, 2018.

When I installed Logic on the new computer using the exe file I received when I purchased Logic back in 2018 the package installed VFP9R.DLL and displayed the error message. I first copied the VFP9R.DLL from the working Logic install on my old computer and when that did not fix the error I then downloaded a replacement VFP9R.DLL from www.dllme.com. That did not fix the error message either.

The old computer is an 2020 INTEL Based APPLE IMAC and the new computer is a 2021 Apple Silicon M1 based Apple Studio Computer.

When I try to launch Logic on the new computer I get the error message and press "OK" and the dialog box disappears, but nothing else happens. Each time I try to launch Logic the same result.

Thanks,
Frank
WN4AZY
#4 Posted : Wednesday, October 25, 2023 8:23:13 AM(UTC)
admin

Rank: Administration

Groups: Administrators, Beta Testers
Posts: 3,080
Man
Location: Auburn, GA

Thanks: 988 times
Was thanked: 492 time(s) in 407 post(s)
Hi--

I wouldn't trust the one from dllme.com. The one packaged with the LOGic installation is the right one. If the install archive became corrupted, it would (or should) give an error during install. And copying from the old working computer, you can't do better than that?

Please try the LOGic demo. A lot has changed since '18 and it's possible that will work.
https://www.hosenose.com/demo.aspx

Also, do you have the latest version if Parallels?

Let me know.

Tnx & 73,

DH WN4AZY
K6FW
#5 Posted : Wednesday, October 25, 2023 10:31:03 PM(UTC)
Rank: Member

Groups: Registered
Posts: 18
Location: Chino California

Thanks: 1 times
Was thanked: 1 time(s) in 1 post(s)
Hi,

I am running the latest version of Parallels released in August 2023. V19. Parallels installed Windows 11. I downloaded/installed the Demo Logic 10. The Demo version 10 installs and runs on the new computer.

So does that mean that my Logic 9 version will not work on the new computer? The VFP9R.DLL works on the old computer but not on the new computer so I assume that means the file is NOT corrupted?

What are my options going forward?

Let me know.

Thanks,
Frank
WN4AZY
#6 Posted : Thursday, October 26, 2023 2:43:46 PM(UTC)
admin

Rank: Administration

Groups: Administrators, Beta Testers
Posts: 3,080
Man
Location: Auburn, GA

Thanks: 988 times
Was thanked: 492 time(s) in 407 post(s)
Yeah, the best thing to do is update. I'm not sure why LOGic 9 isn't working. But there have been a lot of changes to Windows etc. in the past 5 years. LOGic 10 uses a supported version of FoxPro, and is generally much more stable.

I think you will find some of the new features useful.

https://www.hosenose.com...mp;PrimaryCatID=44&

This includes a year of updates.

Tnx & 73,

Dennis WN4AZY

K6FW
#7 Posted : Thursday, October 26, 2023 3:25:44 PM(UTC)
Rank: Member

Groups: Registered
Posts: 18
Location: Chino California

Thanks: 1 times
Was thanked: 1 time(s) in 1 post(s)
Okay I will purchase the upgrade.

When I purchased Logic 9 I needed to supply all the current and past amateur radio callsigns of the hams in the household so all could use. Is this still a requirement with Logic 10?

Thanks,
Frank
K6FW
WN4AZY
#8 Posted : Friday, October 27, 2023 9:31:57 AM(UTC)
admin

Rank: Administration

Groups: Administrators, Beta Testers
Posts: 3,080
Man
Location: Auburn, GA

Thanks: 988 times
Was thanked: 492 time(s) in 407 post(s)
Yes. We will copy that from your current registration, but it wouldn't hurt to mention it in the comments of your order.

Tnx & 73,

Dennis WN4AZY
Users browsing this topic
Guest
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.

Powered by YAF 1.9.5.5 | YAF © 2003-2011, Yet Another Forum.NET
This page was generated in 0.031 seconds.